Results 1 to 8 of 8

Thread: Failing to load Charts component.

  1. #1
    Sencha User
    Join Date
    Dec 2012
    Posts
    4

    Default Answered: Failing to load Charts component.

    Hi All,
    I started trying EXTJS5 beta, as part of this wanted to start with charts. when i compiled the below code i see an error. i see charts has been moved to packages\ext-charts\src\chart. Can someone help me in resolving this?

    My starter component.

    Ext.define("EXTJS5.view.starter.Starter", {
    extend: 'Ext.panel.Panel',
    alias: 'widget.starter',
    requires: ['Ext.chart.Chart'],
    items:[
    {
    xtype: 'chart',
    width: '100%',
    height: 400,
    axes:[
    {
    type: 'Numeric',
    position: 'left',
    title: 'Count'
    },
    {
    type: 'Category',
    position: 'bottom',
    title: 'Alarms'
    }
    ],
    series:{
    type: 'column',
    axis: 'left',
    xField: 'alarmSeverity',
    yField: 'count'
    }
    }
    ]
    });

    ERROR:

    E:\SenchaWorkspace\EXTJS5\WebContent>sencha app build testing
    Sencha Cmd v5.0.0.116
    [INF] Loading app json manifest...
    [ERR] C2008: Requirement had no matching files (Ext.chart.Chart) -- E:\SenchaWorkspace\EXTJS5\WebContent\app\view\starter\Starter.js:4:1
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.ExBuild: Failed to find any files for E:\SenchaWorkspace\EXTJS5\WebContent\app\view\starter\Starter.js::ClassRequire:
    :Ext.chart.Chart
    [ERR]
    [ERR] Total time: 5 seconds
    [ERR] The following error occurred while executing this line:
    E:\SenchaWorkspace\EXTJS5\WebContent\.sencha\app\build-impl.xml:368: The following error occurred while executing this line:
    E:\SenchaWorkspace\EXTJS5\WebContent\.sencha\app\init-impl.xml:240: com.sencha.exceptions.ExBuild: Failed to find any files for E:\SenchaWorkspac
    e\EXTJS5\WebContent\app\view\starter\Starter.js::ClassRequire::Ext.chart.Chart

  2. In your app's app.json, did you add "ext-charts" to the requires array?

  3. #2
    Sencha Premium User mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    40,379
    Answers
    3997

    Default

    In your app's app.json, did you add "ext-charts" to the requires array?
    Mitchell Simoens @LikelyMitch

    Check out my GitHub:
    https://github.com/mitchellsimoens

    Posts are my own, not any current, past or future employer's.

  4. #3
    Sencha User
    Join Date
    Dec 2012
    Posts
    4

    Default

    Thanks!! its working for me.

  5. #4
    Sencha User
    Join Date
    Nov 2013
    Posts
    259
    Answers
    4

    Default

    The ExtJS 5 getting started guides say add "sencha-charts".

  6. #5
    Sencha Premium User
    Join Date
    Mar 2016
    Location
    Barcelona
    Posts
    17
    Answers
    1

    Default

    Hello,

    what if I'm not using Sencha CMD and I don't have an app.json file? Do I have to import all the chart classes one by one?

    Thanks!

  7. #6
    Sencha Premium User mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    40,379
    Answers
    3997

    Default

    Quote Originally Posted by martasalaFAMA View Post
    Hello,

    what if I'm not using Sencha CMD and I don't have an app.json file? Do I have to import all the chart classes one by one?

    Thanks!
    http://docs.sencha.com/extjs/6.0/com...out_Sencha_Cmd
    Mitchell Simoens @LikelyMitch

    Check out my GitHub:
    https://github.com/mitchellsimoens

    Posts are my own, not any current, past or future employer's.

  8. #7
    Sencha Premium User
    Join Date
    Mar 2016
    Location
    Barcelona
    Posts
    17
    Answers
    1

    Default

    Quote Originally Posted by mitchellsimoens View Post
    Hello Mitchell,

    thank you very much for your quick reply. The link helped me, I don't know how I didn't see the page before...

    Cheers!

  9. #8

    Default

    Hello All,

    I am using Sencha Cmd v5.1.3.61 and I do not see any chart related files in my installation.
    I even added in app.json all below configs like "requires" : "charts" and then "requires" : "sencha-charts" and then "requires" : "ext-charts" and every time I am getting "Failed to resolve package charts/sencha-charts/ext-charts.

    I searched for sencha-charts-all*.js files and none available in my CMD installation and workspace both.

    Can you please help what I need to start basic chart working?

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •